Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free.

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

I am facing this problem while making a currency converter program in qt creator.

The program is as follows:

import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: root
    width: units.gu(60)
    height: units.gu(80)
    color: "lightgray"

    property real margins: units.gu(2)
    property real buttonWidth: units.gu(9)

    Label {
       id: title
       ItemStyle.class: "title"
       text: i18n.tr("Currency Converter")
       height: contentHeight + root.margins
       anchors {
           left: parent.left
           right: parent.right
           top: parent.top
       }
     }
    }

And error says:

Starting /usr/bin/qmlviewer -I /usr/lib/qt4/imports /home/shri/CurrencyConverter/CurrencyConverter.qml
Qml debugging is enabled. Only use this in a safe environment!
file:///home/shri/CurrencyConverter/CurrencyConverter.qml:1:1: module "QtQuick" version 2.0 is not installed 
     import QtQuick 2.0 
     ^ 
share|improve this question

closed as too localized by David Planella, bcbc, Eric Carvalho, Thomas W., Jorge Castro May 31 '13 at 14:10

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
Have you followed the instructions to install Qt5? – qbi Jan 18 '13 at 19:28